Bug 175290 - snd_intel8x0 module correctly loaded for SiS 00:02.7 but no snd devices created
snd_intel8x0 module correctly loaded for SiS 00:02.7 but no snd devices created
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 10:35 EST by Pawel Salek
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 16:58:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pawel Salek 2005-12-08 10:35:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051129 Fedora/1.5-1 Firefox/1.5

Description of problem:
I have a Ahtlon64 desktop (Fujitsu Esprimo C) with following sound card:
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] Sound Controller (rev a0)
        Subsystem: Fujitsu Siemens Computer GmbH: Unknown device 109c
        Flags: medium devsel, IRQ 58
        I/O ports at 1400 [size=256]
        I/O ports at 1000 [size=128]
        Capabilities: [48] Power Management version 2

It seems it gets detected properly (in spite of the Unknown device above) because snd_intel8x0 kernel module is loaded). Apriopriate /dev/dsp device is not, however. The following dmesg snippet mat be relevant:

ACPI: PCI Interrupt 0000:00:02.7[C] -> GSI 18 (level, low) -> IRQ 58
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
codec_ready: codec is not ready [0x340000]
ACPI: PCI interrupt for device 0000:00:02.7 disabled
Intel ICH: probe of 0000:00:02.7 failed with error -5



Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1743_FC5

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Ignacio Vazquez-Abrams 2005-12-08 10:39:49 EST
/dev/dsp doesn't get created by the ALSA module for the soundcard; it gets
created by the OSS emulation module, snd-pcm-oss. The ALSA module creates the
ALSA device nodes in /dev/snd.
Comment 2 Pawel Salek 2005-12-08 10:44:59 EST
I apologise for my ignorance. However, there is very little in /dev/snd either:
# ls -l /dev/snd/
total 0
crw------- 1 pawsa root 116,  1 Dec  8 16:21 seq
crw------- 1 pawsa root 116, 33 Dec  8 16:21 timer
Comment 3 Pawel Salek 2005-12-09 11:20:53 EST
Extra info:
1. 2.6.14-1.1749_FC5 behaves the same.
2. pci=routeirq does not change a thing.
3. http://who.is.free.fr/wiki/?SiS suggest it may be a conflict with the
SCSI/SATA subsystem.
4.
http://forums.gentoo.org/viewtopic-t-198590-highlight-amap.html?sid=0e8d2cd2a6c901b0ca2bf32d285d99e1
suggests that the old OSS kernel driver i810-audio does not have the problem in
contrast to snd-intel8x0
Comment 4 Dave Jones 2006-10-16 17:38:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Dave Jones 2006-11-24 16:58:40 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 6 Dave Jones 2006-11-24 17:03:00 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 7 Dave Jones 2006-11-24 17:05:35 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 8 Dave Jones 2006-11-24 17:07:41 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.